# Create an Account Use the Create an Account endpoint to add a new account to your team's Apollo account.

In Apollo terminology, an account is a company that your team has explicitly added to your database.

Apollo does not apply deduplication processes when you create a new account via the API. If your entry has the same name, domain, or other details as an existing account, Apollo will create a new account instead of updating the existing account. To update an existing account, use the Update an Account endpoint instead.

This endpoint requires a master API key. If you attempt to call the endpoint without a master key, you will receive a `403` response. Refer to Create API Keys to learn how to create a master API key. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "apollo-rest-api", "version": "1.0" }, "servers": [ { "url": "https://api.apollo.io/api/v1" } ], "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "in": "header", "name": "x-api-key", "description": "API key" }, "bearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT", "description": "[Recommended] OAuth Access token" } } }, "security": [ { "bearerAuth": [] }, { "apiKey": [] } ], "paths": { "/accounts": { "post": { "summary": "Create an Account", "description": "Use the Create an Account endpoint to add a new account to your team's Apollo account.

In Apollo terminology, an account is a company that your team has explicitly added to your database.

Apollo does not apply deduplication processes when you create a new account via the API. If your entry has the same name, domain, or other details as an existing account, Apollo will create a new account instead of updating the existing account. To update an existing account, use the Update an Account endpoint instead.

This endpoint requires a master API key. If you attempt to call the endpoint without a master key, you will receive a `403` response. Refer to Create API Keys to learn how to create a master API key.", "operationId": "create-an-account", "requestBody": { "required": true, "content": { "application/json": { "schema": { "type": "object", "properties": { "name": { "type": "string", "description": "Name the account that you are creating. This should be a human-readable name.

Example: `The Irish Copywriters`" }, "domain": { "type": "string", "description": "The domain name for the account.

Do not include `www.` or similar.

Example: `apollo.io` or `microsoft.com`" }, "owner_id": { "type": "string", "description": "The ID for the account owner within your team's Apollo account.

Use the Get a List of Users endpoint to retrieve IDs for all of the users within your Apollo account.

Example: `66302798d03b9601c7934ebf`" }, "account_stage_id": { "type": "string", "description": "The Apollo ID for the account stage to which you want to assign the account. Call the List Account Stages endpoint to retrieve a list of all the account stage IDs available in your Apollo account.

If you do not specify the account stage, Apollo automatically assigns the account to a stage as determined by your team's Apollo account. To change the order of account stages, launch the Apollo product and go to Settings > Objects > Accounts. Then, access the Triggers tab and change the stage for when an account is created.

Example: `6095a710bd01d100a506d4b9`" }, "phone": { "type": "string", "description": "The primary phone number for the account.

This can be the phone number for the corporate headquarters, a branch location, or a direct dial to the primary point of contact for the account.

Apollo sanitizes phone numbers, so you can enter them in any format. The sanitized number can be viewed in the endpoint response.

Examples: `555-303-1234`; `+44 7911 123456`" }, "raw_address": { "type": "string", "description": "The corporate location for the account. This can include a city, US state, and country.

Apollo matches the location you provide to the most applicable pre-defined location.

Examples: `Belfield, Dublin 4, Ireland`; `Dallas, United States`" }, "typed_custom_fields": { "type": "object", "description": "Add information to custom fields in Apollo.

Your custom fields are unique to your team's Apollo account. This means that the examples in this documentation may not work for your testing purposes.

To utilize this parameter successfully, call the Get a List of All Custom Fields endpoint and identify the `id` value for the custom field, as well as the appropriate data type. For example, if a custom field accepts picklist entries, you need to pass the accompanying `id` value for the picklist entry that you want to use as the input value.

Example: When the Get a List of All Custom Fields endpoint returns an `id` of field: \n * `\"60c39ed82bd02f01154c470a\"` (datetime) \n \n\n then the value passed should be: \n\n `{\"60c39ed82bd02f01154c470a\": \"2025-08-07\"}`", "additionalProperties": { "type": "string" }, "example": { "60c39ed82bd02f01154c470a": "2025-08-07" } } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "examples": { "Result": { "value": { "account": { "id": "66e9abf95ac32901b20d1a0d", "domain": "irishcopywriters.ie", "name": "The Irish Copywriters", "team_id": "6095a710bd01d100a506d4ac", "organization_id": null, "account_stage_id": "6095a710bd01d100a506d4b9", "source": "api", "original_source": "api", "creator_id": null, "owner_id": "66302798d03b9601c7934ebf", "created_at": "2024-09-17T16:19:05.663Z", "phone": "555-303-2020", "phone_status": "no_status", "hubspot_id": null, "salesforce_id": null, "crm_owner_id": null, "parent_account_id": null, "linkedin_url": null, "sanitized_phone": "+15553032020", "account_playbook_statuses": [], "account_rule_config_statuses": [], "existence_level": "full", "label_ids": [], "typed_custom_fields": { "60c39ed82bd02f01154c470a": "2025-08-07" }, "custom_field_errors": {}, "modality": "account", "source_display_name": "Created from API", "crm_record_url": null, "intent_strength": null, "show_intent": false, "has_intent_signal_account": false, "intent_signal_account": null } } } }, "schema": { "type": "object", "properties": { "account": { "type": "object", "properties": { "id": { "type": "string", "example": "66e9abf95ac32901b20d1a0d" }, "domain": { "type": "string", "example": "irishcopywriters.ie" }, "name": { "type": "string", "example": "The Irish Copywriters" }, "team_id": { "type": "string", "example": "6095a710bd01d100a506d4ac" }, "organization_id": {}, "account_stage_id": { "type": "string", "example": "6095a710bd01d100a506d4b9" }, "source": { "type": "string", "example": "api" }, "original_source": { "type": "string", "example": "api" }, "creator_id": {}, "owner_id": { "type": "string", "example": "66302798d03b9601c7934ebf" }, "created_at": { "type": "string", "example": "2024-09-17T16:19:05.663Z" }, "phone": { "type": "string", "example": "555-303-2020" }, "phone_status": { "type": "string", "example": "no_status" }, "hubspot_id": {}, "salesforce_id": {}, "crm_owner_id": {}, "parent_account_id": {}, "linkedin_url": {}, "sanitized_phone": { "type": "string", "example": "+15553032020" }, "account_playbook_statuses": { "type": "array" }, "account_rule_config_statuses": { "type": "array" }, "existence_level": { "type": "string", "example": "full" }, "label_ids": { "type": "array" }, "typed_custom_fields": { "type": "object", "properties": {} }, "custom_field_errors": { "type": "object", "properties": {} }, "modality": { "type": "string", "example": "account" }, "source_display_name": { "type": "string", "example": "Created from API" }, "crm_record_url": {}, "intent_strength": {}, "show_intent": { "type": "boolean", "example": false, "default": true }, "has_intent_signal_account": { "type": "boolean", "example": false, "default": true }, "intent_signal_account": {} } } } } } } }, "401": { "description": "401", "content": { "text/plain": { "examples": { "Check API key": { "value": "Invalid access credentials." } } } } }, "403": { "description": "403", "content": { "application/json": { "examples": { "Need master API key": { "value": "{\n \"error\": \"api/v1/accounts/create is not accessible with this api_key\",\n \"error_code\": \"API_INACCESSIBLE\"\n}" } }, "schema": { "type": "object", "properties": { "error": { "type": "string", "example": "api/v1/accounts/create is not accessible with this api_key" }, "error_code": { "type": "string", "example": "API_INACCESSIBLE" } } } } } }, "422": { "description": "422", "content": { "application/json": { "examples": { "Add name or domain": { "value": "{\n \"error\": \"Please specify at least a name or domain.\"\n}" } }, "schema": { "type": "object", "properties": { "error": { "type": "string", "example": "Please specify at least a name or domain." } } } } } }, "429": { "description": "429", "content": { "application/json": { "examples": { "Too many requests": { "value": "{\n \"message\": \"The maximum number of api calls allowed for api/v1/accounts is 600 times per hour. Please upgrade your plan from https://app.apollo.io/#/settings/plans/upgrade.\"\n}" } }, "schema": { "type": "object", "properties": { "message": { "type": "string", "example": "The maximum number of api calls allowed for api/v1/accounts is 600 times per hour. Please upgrade your plan from https://app.apollo.io/#/settings/plans/upgrade." } } } } } } }, "deprecated": false } } }, "x-readme": { "headers": [ { "key": "Cache-Control", "value": "no-cache" }, { "key": "Content-Type", "value": "application/json" } ], "explorer-enabled": true, "proxy-enabled": true }, "x-readme-fauxas": true } ```